# --------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# --------------------------------------------------------------------------------------------

# pylint: skip-file
# coding=utf-8

# --------------------------------------------------------------------------
# Code generated by Microsoft (R) AutoRest Code Generator 1.2.2.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class EventSubscriptionDestination(Model):
    """Information about the destination for an event subscription.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param endpoint_type: Type of the endpoint for the event subscription
     destination. Possible values include: 'WebHook'
    :type endpoint_type: str or :class:`EndpointType
     <azure.mgmt.eventgrid.models.EndpointType>`
    :param endpoint_url: The URL that represents the endpoint of the
     destination of an event subscription.
    :type endpoint_url: str
    :ivar endpoint_base_url: The base URL that represents the endpoint of the
     destination of an event subscription.
    :vartype endpoint_base_url: str
    """

    _validation = {
        'endpoint_base_url': {'readonly': True},
    }

    _attribute_map = {
        'endpoint_type': {'key': 'endpointType', 'type': 'str'},
        'endpoint_url': {'key': 'properties.endpointUrl', 'type': 'str'},
        'endpoint_base_url': {'key': 'properties.endpointBaseUrl', 'type': 'str'},
    }

    def __init__(self, endpoint_type=None, endpoint_url=None):
        self.endpoint_type = endpoint_type
        self.endpoint_url = endpoint_url
        self.endpoint_base_url = None
